Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core
Interface IBreakpointsListener

public interface IBreakpointsListener

A breakpoints listener is notified of breakpoint additions, removals, and changes. Listeners register and deregister with the breakpoint manager.

This interface is analagous to `IBreakpointListener` except notifications are batched for more than one breakpoint when possible.

Clients may implement this interface.

Since:
  2.1
See Also:
  `IBreakpointManager`

Method Summary
`void` | `breakpointsAdded(IBreakpoint[] breakpoints)` Notifies this listener that the given breakpoints have been added to the breakpoint manager.
`void` | `breakpointsChanged(IBreakpoint[] breakpoints, IMarkerDelta[] deltas)` Notifies this listener that the given breakpoints have changed, as described by the corresponding deltas.
`void` | `breakpointsRemoved(IBreakpoint[] breakpoints, IMarkerDelta[] deltas)` Notifies this listener that the given breakpoints have been removed from the breakpoint manager.

Method Detail

### breakpointsAdded

    public void breakpointsAdded(IBreakpoint[] breakpoints)

  Notifies this listener that the given breakpoints have been added to the breakpoint manager.

  Parameters:
    `breakpoints` - the added breakpoints

### breakpointsRemoved

    public void breakpointsRemoved(IBreakpoint[] breakpoints,
                                   IMarkerDelta[] deltas)

  Notifies this listener that the given breakpoints have been removed from the breakpoint manager. If a breakpoint has been removed because it has been deleted, the associated marker delta is also provided.

  Parameters:
    `breakpoints` - the removed breakpoints
    `deltas` - the associated marker deltas. Entries may be `null` when a breakpoint is removed from the breakpoint manager without being deleted
  See Also:
    `IMarkerDelta`

### breakpointsChanged

    public void breakpointsChanged(IBreakpoint[] breakpoints,
                                   IMarkerDelta[] deltas)

  Notifies this listener that the given breakpoints have changed, as described by the corresponding deltas.

  Parameters:
    `breakpoints` - the changed breakpoints
    `deltas` - the marker deltas that describe the changes with the markers associated with the given breakpoints. Entries may be `null` when a breakpoint change does not generate a marker delta
  See Also:
    `IMarkerDelta`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.